%define debug 0
%define qt_copy 0
%define building 0

%define _optlevel 2
%define static_thread 1
%define shared_thread 1
%define build_odbc 1
%define versioning 0

# Versions
%define rname	qt
%define major	4
%define minor	0
%define bugfix	1
%define beta	%nil
%define rlz alt2
Name: %rname%major
Version: %major.%minor.%bugfix
Release: %rlz

%define qtdir		%_libdir/%name
%define kdedir		%prefix
%add_findprov_lib_path	%qtdir/lib

Group: System/Libraries
Summary: Shared library for the Qt%major GUI toolkit
Url: http://www.trolltech.com/products/qt.html
License: GPL & QPL

Requires: %name-doc %name-sql lib%name %name-assistant

%if %qt_copy
Source0: qt-copy-%version%beta.tar.bz2
%else
Source0: ftp://ftp.trolltech.com/qt/source/%rname-x11-opensource-src-%version%beta.tar.gz
%endif
#
Source8: qtX-README.ALT
Source11: qt-ru-3.3.2-20040604.tar.bz2
Source12: wrap_kde_malloc.cpp
#
Source21: qt4-assistant.desktop
Source22: qt4-designer.desktop
Source23: qt4-linguist.desktop
Source24: qt4-qtconfig.desktop

Source101: %rname.16.png
Source102: %rname.32.png
Source103: %rname.48.png

# FC
Patch1: qt-4.0.1-sans-mono.patch

# Qt-copy
Patch40: 0102-qabstractitemmodel_invalidate.diff
Patch41: 0103-qitemselectionrange_intersect.diff
Patch42: 0104-qpainter_vertical_center.diff
Patch43: 0105-qdatastream_qint64.diff
Patch44: 0106-qfileinfo-issymlink.diff

# ALT
# by raorn@altlinux
Patch101: qt-4.0.1-honor-SUSv3-locales.patch
Patch102: qt-4.0.1-sqlite.patch
Patch103: qt-4.0.1-assistant-location.patch
Patch104: qt-4.0.1-dlopen_libgl.patch
Patch105: qt-4.0.1-iso_c_extension.patch
Patch106: qt-4.0.1-dont-build-extra.patch
Patch107: qt-4.0.1-alt-visibility.patch
#
# Sergey A. Sukiyazov <sukiyazov@mail.ru>
Patch9000: qt-4.0.1-qmenubar-key_f10.patch

# Automatically added by buildreq on Wed Sep 04 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc-c++ libMySQL-devel libcups-devel libjpeg-devel liblcms libmng-devel libpng-devel libssl libstdc++-devel libunixODBC-devel postgresql-devel postgresql-libs zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2-devel libGLU-devel
BuildRequires: libcups-devel libssl libcups-devel
BuildRequires: libbeecrypt liblcms gcc-c++ libstdc++-devel
BuildRequires: libjpeg-devel libpng-devel zlib-devel
BuildRequires: postgresql-devel libpq-devel libMySQL-devel
BuildRequires: libsqlite3-devel
BuildRequires: bison libaudio-devel
BuildRequires: fontconfig-devel menu-devel
%if %build_odbc
BuildRequires: libunixODBC-devel 
%endif
#BuildRequires: libXft-devel

%description
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for the X Windows system.
It has everything you need to create professional GUI applications.
And it enables you to create them quickly.
Qt is multi-platform toolkit written in C++ and is fully object-oriented.
This package contains the shared library needed to run Qt%major applications, as
well as the README files for Qt.

##############################################
%package -n %name-common
Summary: Common package for Qt%major
Group: System/Libraries
Requires: common-licenses
%description -n %name-common
Common package for Qt%major

##############################################
%package -n lib%name
Summary: Shared library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: lib%{name}-core lib%{name}-gui lib%{name}-network
Requires: lib%{name}-opengl lib%{name}-sql lib%{name}-xml
Requires: lib%{name}-qt3support
%description -n lib%name
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows System.
Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98
or framebuffer devices.
Simply recompile your source code on the platform you want.

This package contains the shared library needed to run Qt%major applications, as
well as the README files for Qt.

##############################################
%package -n lib%{name}-qt3support
Summary: Qt3 support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-qt3support
Qt3 support library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-core
Summary: Core library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: %name-settings = %major.%minor
%description -n lib%{name}-core
Core library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-gui
Summary: GUI support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-gui
GUI support library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-network
Summary: Network support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-network
Network support library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-opengl
Summary: OpenGL support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-opengl
OpenGL support library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-sql
Summary: SQL support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-sql
SQL support library for the Qt%major GUI toolkit

##############################################
%package -n lib%{name}-xml
Summary: XML support library for the Qt%major GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%{name}-xml
XML support library for the Qt%major GUI toolkit

##############################################
%package -n %name-devel
Group: System/Libraries
Summary: Amount package for development with Qt%major GUI toolkit
Requires: lib%name-devel %name-doc %name-designer %name-assistant
%description -n %name-devel
Amount package for development with Qt%major GUI toolkit

##############################################
%package -n lib%name-devel
Summary: Header files and libraries for developing apps which will use Qt%major
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: lib%name
Requires: XFree86-devel freetype2-devel fontconfig-devel libaudio-devel zlib-devel libpng-devel
Provides: lib%name-devel-cxx = %__gcc_version_base
%description -n lib%name-devel
Qt is a GUI software toolkit. Qt simplifies the task of writing and maintaining
GUI (graphical user interface) applications for X Windows.

Qt is written in C++ and is fully object-oriented. It has everything you need
to create professional GUI applications. And it enables you to create them
quickly.

Qt is a multi-platform toolkit. When developing software with Qt, you can run
it on the X Window System (Unix/X11) or Microsoft Windows NT and Windows 95/98.
Simply recompile your source code on the platform you want.

This package contains the files necessary to develop applications

##############################################
%package -n lib%name-devel-static
Summary: Version of the Qt GUI toolkit for static linking
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: lib%name-devel
Obsoletes: %name-devel-static
%description -n lib%name-devel-static
This package package contains the files necessary to link applications
to the Qt GUI toolkit statically (rather than dynamically).
Statically linked applications don't require the library to be installed
on the system running the application.

##############################################
%package designer
Summary: Designer for the Qt%major
Group: Development/KDE and QT
Requires: %name-common = %version-%release
Requires: lib%name-devel
%description designer
The package contains an User Interface designer
tool for the Qt%major toolkit.

##############################################
%package -n lib%name-styles
Summary: Extra styles for the Qt GUI toolkit
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%name-styles
Extra styles (themes) for the Qt GUI toolkit.

##############################################
%package -n %name-sql
Group: System/Libraries
Summary: Amount package for XML support of Qt%major GUI toolkit
Requires: lib%name-sql lib%name-sql-mysql
Requires: lib%name-sql-postgresql lib%name-sql-sqlite
%if %build_odbc
Requires: lib%name-sql-odbc
%endif
%description -n %name-sql
Amount package for XML support of Qt%major GUI toolkit

##############################################
%package -n lib%name-sql-odbc
Summary: ODBC drivers for Qt%major SQL classes
Group: System/Libraries
Requires: %name-common = %version-%release
Provides: lib%name-plugin-sql = %version-%release
%description -n lib%name-sql-odbc
ODBC driver for Qt's SQL classes (QSQL)

##############################################
%package -n lib%name-sql-mysql
Summary: MySQL driver for Qt%major SQL classes
Group: System/Libraries
Requires: %name-common = %version-%release
Provides: lib%name-plugin-sql = %version-%release
%description -n lib%name-sql-mysql
MySQL driver for Qt's SQL classes (QSQL)

##############################################
%package -n lib%name-sql-postgresql
Summary: PostgreSQL drivers for Qt%major SQL classes
Group: System/Libraries
Requires: %name-common = %version-%release
Provides: lib%name-plugin-sql = %version-%release
%description -n lib%name-sql-postgresql
PostgreSQL driver for Qt's SQL classes (QSQL)

##############################################
%package -n lib%name-sql-sqlite
Summary: SQLite driver for Qt%major SQL classes
Group: System/Libraries
Requires: %name-common = %version-%release
Provides: lib%name-plugin-sql = %version-%release
%description -n lib%name-sql-sqlite
SQLite driver for Qt's SQL classes (QSQL)

##############################################
%package doc
Summary: Document for developing apps which will use Qt%{major}
Group: Development/KDE and QT
Requires: %name-common = %version
#Requires: lib%name-devel = %version
Requires: %name-assistant = %version
Requires: %name-doc-html = %version
#Requires: %name-doc-man = %version
Requires: %name-doc-examples = %version
%description doc
This package contains documentation and sources for example programs.

##############################################
%package doc-html
Summary: Document for developing apps which will use Qt%{major}
Group: Development/KDE and QT
Requires: %name-common = %version
%description doc-html
This package contains documentation in html format.

##############################################
%package doc-man
Summary: Document for developing apps which will use Qt%{major}
Group: Development/KDE and QT
Requires: %name-common = %version
%description doc-man
This package contains documentation in man format.

##############################################
%package doc-examples
Summary: Examples for developing apps which will use Qt%{major}
Group: Development/KDE and QT
Requires: %name-common = %version
%description doc-examples
This package contains sources for example programs.

##############################################
%package assistant
Summary: Assistant for the Qt%major
Group: Text tools
Requires: %name-common = %version-%release
%description assistant
This package contains an documentation browser
for the Qt%major toolkit and Qt-based programs.

##############################################
%package -n lib%name-qsa
Summary: Qt Script for Applications (QSA)
Group: System/Libraries
Requires: %name-common = %version-%release
%description -n lib%name-qsa
Qt Script for Applications is a framework which enables the
user to make Qt/C++ applications scriptable. The end users of the
Qt/C++ applications can modify and extend the application dynamically.

##############################################
%prep
%if %qt_copy
%define buildsubdir qt-copy-%version%beta
%else
%define buildsubdir %rname-x11-opensource-src-%version%beta
%endif

%setup -q -n %buildsubdir
%patch1 -p1

%patch40 -p0
%patch41 -p0
#%patch42 -p0
%patch43 -p0
%patch44 -p0

%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1

%patch9000 -p1

#pushd translations
#rm -f ./*.qm
#tar xfj %SOURCE11
#popd

#perl -pi -e "s,-O2,%optflags -DGLX_GLXEXT_LEGACY,g" mkspecs/*/qmake.conf
subst "s|-O2||" mkspecs/*/qmake.conf
##perl -pi -e "s,-fpic,-fPIC,g" mkspecs/*/qmake.conf
#perl -pi -e "s|-Wl,-rpath,| |" mkspecs/*/qmake.conf
##perl -pi -e "s|^CFG_NEWABI=.*|CFG_NEWABI=yes|" ./configure

rm -rf tools/designer/examples
find . -type d -name CVS| xargs rm -rf
find . -type f -name .cvsignore | xargs rm -f

[ -f Makefile.cvs ] && make -f Makefile.cvs


%build
rm -rf %buildroot
# install %%optflags
subst "s|^\s*QMAKE_CFLAGS\s*=.*$|QMAKE_CFLAGS = %optflags -DGLX_GLXEXT_LEGACY|" mkspecs/*/qmake.conf

%if %versioning
cat > ./src/libqt_add.map <<__EOF__
CXX%__gcc_version_major {
    global:
	extern "C++"  {
	    QObject::QObject*;
	    QString::QString*;
	};
};
__EOF__
perl -pi -e "s|^QMAKE_LFLAGS_SONAME.*|QMAKE_LFLAGS_SONAME	= -Wl,-soname, -Wl,--version-script=\\$\(QTDIR\)/src/libqt_add.map|" mkspecs/*/qmake.conf
%endif

#export QTDIR=$(`which pwd`)
#export PATH=$QTDIR/bin:$QTDIR/qmake:$PATH
#export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export QT_DIR=$(`which pwd`)
export PATH=$QT_DIR/bin:$QT_DIR/qmake:$PATH
export LD_LIBRARY_PATH=$QT_DIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%kdedir

#	\
#        -enable-kernel -enable-tools  -enable-widgets -enable-dialogs \
#	-enable-iconview -enable-workspace -enable-network -enable-canvas \
#	-enable-table -enable-xml \
#
#	-enable-opengl \
#	-dlopen-opengl \
#	\
#	\
#	-qt-style-windows -plugin-style-platinum \
#	-plugin-style-cde -plugin-style-motifplus \
#	-plugin-style-motif -plugin-style-sgi"

CNFGR="\
	-I%_includedir/pgsql/ -I%_includedir/mysql/ \
	-I/usr/X11R6/include/X11/Xft -I/usr/include/fontconfig \
	-L/usr/X11R6/%_lib \
	-L%_libdir \
        -prefix %qtdir \
	-bindir %qtdir/bin \
	-docdir %_docdir/%rname-%version \
	-headerdir %_includedir/%name \
	-libdir %qtdir/lib \
	-translationdir %_datadir/%name/translations \
	-plugindir %qtdir/plugins \
	-sysconfdir %_sysconfdir/%name
	-datadir %_datadir/%name
	\
%if %debug
	-debug \
%else
	-release \
%endif
%ifarch %x86_64
	-platform linux-g++-64 \
%else
	-platform linux-g++ \
%endif
	-largefile -stl -fast -no-rpath -pch \
	-no-exceptions -no-g++-exceptions \
	\
	-system-zlib -cups -system-nas-sound \
	-no-nis \
	-accessibility \
	\
	-DQT_USE_APPROXIMATE_CURSORS \
	-sm -xshape -xcursor -xinerama -xrender -xrandr -xkb \
	-tablet -fontconfig \
	\
	-qt-gif \
	-system-libpng -system-libjpeg"

CNFGR_STATIC=" -static \
	-qt-sql-mysql -qt-sql-psql -qt-sql-sqlite \
%if %build_odbc
	 -qt-sql-odbc \
%endif
	"
CNFGR_SHARED=" -shared \
	-plugin-sql-mysql -plugin-sql-psql -plugin-sql-sqlite  \
%if %build_odbc
	 -plugin-sql-odbc \
%endif
	"

is_building=""

clean_but_lib()
{
[ -n "$is_building" ] || return
if [ -n "$1" ]; then
    dirsuffix="$1"
else
    dirsuffix="builded"
fi
    mkdir -p lib-"$dirsuffix"
    cp -ar lib/* lib-"$dirsuffix"
    make distclean
    rm -rf lib/*
}

# Build   STATIC THREADED   libraries #
%if %static_thread
echo "yes" |./configure $CNFGR $CNFGR_STATIC
%make_build sub-src
is_building=1
clean_but_lib
%endif #static_thread

# Build   SHARED THREADED   libraries #
%if %shared_thread
echo "yes" |./configure $CNFGR $CNFGR_SHARED
#%make_build sub-src sub-tools ||:
%make_build
%endif #shared_thread

# compile translations
#LD_LIBRARY_PATH=./lib ./bin/lrelease ./translations/*.ts
#rm -f ./translations/*_untranslated.qm


%install
%if %debug
%set_strip_method none
%endif
# uninstall %%optflags
subst "s|^\s*QMAKE_CFLAGS\s*=.*$|QMAKE_CFLAGS = -pipe|" mkspecs/*/qmake.conf

export QTDIR=%qtdir
export QT_DIR=$(`which pwd`)
export PATH=$QT_DIR/bin:%qtdir/bin:%buildroot/%qtdir/bin:$PATH
export MANPATH=%qtdir/doc/man:$MANPATH
export LD_LIBRARY_PATH=%buildroot/%qtdir/lib:$QT_DIR/lib:$LD_LIBRARY_PATH
export KDEDIR=%kdedir

%__install -d -m 0755 %buildroot/%_bindir

%make INSTALL_ROOT=%buildroot install

# install rpm macros
%__install -d -m 0755 %buildroot/%_sysconfdir/rpm/macros.d/
cat >%buildroot/%_sysconfdir/rpm/macros.d/%name <<__EOF__
%_%{name}dir %_libdir/%name
__EOF__

# install settings
%__install -d -m 0755 %buildroot/%_sysconfdir/%rname%major
ln -s ../../../%_sysconfdir/%rname%major %buildroot/%qtdir/settings

# install tools
%__install -m 775 bin/findtr %buildroot/%qtdir/bin
pushd %buildroot/%_bindir
ln -s ../%_lib/%name/bin/designer designer-%name
ln -s ../%_lib/%name/bin/assistant assistant-%name
ln -s ../%_lib/%name/bin/linguist linguist-%name
ln -s ../%_lib/%name/bin/qtconfig qtconfig-%name
popd

# install libraries
#
%if %static_thread
for f in lib-builded/lib*.a lib-builded/lib*.la; do
%__install -m0644 $f %buildroot/%qtdir/lib/
done
%endif
#
%__mkdir_p %buildroot%_sysconfdir/ld.so.conf.d/
%__cat <<__EOF__ > %buildroot/%_sysconfdir/ld.so.conf.d/%name.conf
%qtdir/lib
__EOF__
ln -s %name %buildroot/%_libdir/%rname-%version

# install translations
#install -m 644 ./translations/*.qm %buildroot/%qtdir/translations
%__mkdir_p %buildroot/%_datadir/%name/translations
ln -s ../../../%_datadir/%name/translations %buildroot/%qtdir/translations
%__mkdir_p %buildroot/%_datadir/%name/phrasebooks
ln -s ../../../%_datadir/%name/phrasebooks %buildroot/%qtdir/phrasebooks


# move pkgconfig to right place
%__mkdir_p %buildroot/%_libdir/pkgconfig
for f in %buildroot/%qtdir/lib/*pc; do
    %__mv $f %buildroot/%_libdir/pkgconfig/
done

# install includes
%__mkdir_p %buildroot/%_includedir/
%__ln_s ../../../%_includedir/%name %buildroot/%qtdir/include
#pushd include
#for d in *
#do
#    [ -d "$d" ] || continue
#    if [ -d $d/private/ ]
#    then
#	%__mkdir_p %buildroot/%_includedir/%name/$d/private/
#	%__install -m 0644 $d/private/* %buildroot/%_includedir/%name/$d/private/
#    fi
#done
#popd

# install designer templates
#install -d -m 0755 %buildroot/%qtdir/tools/designer/templates
#cp -fR tools/designer/templates/*.ui %buildroot/%qtdir/tools/designer/templates

# Ship qmake stuff
ln -s ../../../%_datadir/%name/mkspecs %buildroot/%qtdir/mkspecs

%if %versioning
# fix QMAKE_LFLAGS_SONAME
for f in %buildroot/%_datadir/%name/mkspecs/*/qmake.conf
do
    subst "s|^.*QMAKE_LFLAGS_SONAME.*$|QMAKE_LFLAGS_SONAME     = -Wl,-soname,|g" $f
done
%endif


# install documentation
#install -d -m 0755 %buildroot/%_docdir/%rname-%version/doc/html
#%%if %qt_copy
#rm -rf doc/html/designer
#%%endif
#install -m 0644 doc/html/*.html %buildroot/%_docdir/%rname-%version/doc/html

# David - 3.0.0-0.11mdk - Install missing documentation
install -d -m 0755 %buildroot/%_docdir/qt-%version/
#install -m 0644 %_builddir/%buildsubdir/ANNOUNCE  %buildroot/%_docdir/qt-%version/
cat > %buildroot/%_docdir/qt-%version/LICENSE <<__EOF__
see QPL-1.0 and GPL-2 in %_datadir/license
__EOF__
#install -m 0644 %_builddir/%buildsubdir/PLATFORMS %buildroot/%_docdir/qt-%version/
#install -m 0644 %_builddir/%buildsubdir/FAQ       %buildroot/%_docdir/qt-%version/
install -m 0644 %_builddir/%buildsubdir/README*    %buildroot/%_docdir/qt-%version/
%if !%qt_copy
install -m 0644 %_builddir/%buildsubdir/changes*  %buildroot/%_docdir/qt-%version/
%endif

# Install a README
install -m 0644 %SOURCE8 %buildroot/%_docdir/qt-%version/README.ALT
%__subst 's|@QT@|%name|g' %buildroot/%_docdir/qt-%version/README.ALT
%__subst 's|@QTDIR@|%qtdir|g' %buildroot/%_docdir/qt-%version/README.ALT
%__subst 's|@QtVersion@|%version|g' %buildroot/%_docdir/qt-%version/README.ALT
%__subst 's|@PackageVersion@|%version-%release|g' %buildroot/%_docdir/qt-%version/README.ALT
%__subst 's|@QTHOME@|~/.config/|g' %buildroot/%_docdir/qt-%version/README.ALT

# wrap qt malloc
install -m 0644 %SOURCE12 %buildroot/%_docdir/qt-%version/

# Install man pages
#install -d -m 0755 %buildroot/%_mandir/man1/
#for i in %_builddir/%buildsubdir/doc/man/man1/* ; do
#   install -m 0644 $i %buildroot/%_mandir/man1/
#done
#pushd %buildroot/%_mandir/man1
#    for i in $(find . -name \*.1);do
#	mv -f $i ${i}qt%major%minor%bugfix
#    done
#popd
#install -d -m 0755 %buildroot/%_mandir/man3/
#for i in %_builddir/%buildsubdir/doc/man/man3/* ; do
#   install -m 0644 $i %buildroot/%_mandir/man3/
#done
#
#pushd %buildroot/%_mandir/
#    for i in $(find . -name Q\*);do
#	perl -pi -e 's|3qt|3qt%major%minor%bugfix|g' $i
#    done
#    for i in $(find . -name \*.3qt);do
#	mv -f $i ${i}%major%minor%bugfix
#    done
#popd

# David - 3.0.1-2mdk - Install .pri files needed to build examples and demos
install -d -m 0755 %buildroot/%qtdir/src/
for i in %_builddir/%buildsubdir/src/*.pri; do
   install -m 0644 $i %buildroot/%qtdir/src/
done

# David - 3.0.0-0.11mdk - Provide a qmake.cache for examples
cp -pf %_builddir/%buildsubdir/.qmake.cache %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QT_SOURCE_TREE.*|QT_SOURCE_TREE = %qtdir|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QT_BUILD_TREE.*|QT_BUILD_TREE = %qtdir|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_MOC.*|QMAKE_MOC = %qtdir/bin/moc|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_UIC.*|QMAKE_UIC = %qtdir/bin/uic -L $$QT_BUILD_TREE/plugins|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_QMAKE.*|QMAKE_QMAKE = %qtdir/bin/qmake|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_MOC_SRC.*|QMAKE_MOC_SRC = %qtdir/src/moc|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_INCDIR_QT.*|QMAKE_INCDIR_QT = %qtdir/include|" %_builddir/%buildsubdir/.qmake.cache.tmp
perl -pi -e "s|^QMAKE_LIBDIR_QT.*|QMAKE_LIBDIR_QT = %qtdir/lib|" %_builddir/%buildsubdir/.qmake.cache.tmp
#perl -pi -e "s|^QMAKE_LIBDIR_FLAGS.*|QMAKE_LIBDIR_FLAGS += -lXinerama|" %_builddir/%buildsubdir/.qmake.cache.tmp

# examples and demos
for m in examples demos
do
    cp -ar %_builddir/%buildsubdir/$m %buildroot/%_docdir/qt-%version
    pushd %buildroot/%_docdir/qt-%version/$m
	cp -p %_builddir/%buildsubdir/.qmake.cache.tmp .qmake.cache
	find -type f -name Makefile | \
	while read f
	do
	    %__subst "s|^\s*QMAKE\s=.*|QMAKE = %qtdir/bin/qmake|" $f
	    %__subst "s|../../../mkspecs/|%qtdir/mkspecs/|" $f
	    %__subst "s|../../mkspecs/|%qtdir/mkspecs/|" $f
	    %__subst "s|../mkspecs/|%qtdir/mkspecs/|" $f
	    %__subst "s|../.qmake.cache|.qmake.cache|" $f
	    %__subst "s|../../../include|%qtdir/include|" $f
	    %__subst "s|../../include|%qtdir/include|" $f
	    %__subst "s|%_builddir/%buildsubdir|%qtdir|" $f
	done
	cat README > README.tmp
	echo "Before try to build one of these $m, you need to:" > README
	echo "" >> README
	echo "export QTDIR=\"%{qtdir}/\"" >> README
	echo "" >> README
	echo "" >> README
	cat README.tmp >> README
	rm -f README.tmp
    popd
    pushd %buildroot/%_docdir/qt-%version/
    tar jcf $m.tar.bz2 $m
    rm -rf $m
    popd
done

ln -s ../../../%_docdir/qt-%version %buildroot/%qtdir/doc

pushd %buildroot/%_datadir/%name/mkspecs/
rm -rf default
%ifarch %x86_64
ln -sf linux-g++-64 default
%else
ln -sf linux-g++ default
%endif
popd

# Install .desktop files
install -d -m 0755 %buildroot/%_datadir/applications/
install -m 0644 %SOURCE21 %buildroot/%_datadir/applications/%name-assistant.desktop
install -m 0644 %SOURCE22 %buildroot/%_datadir/applications/%name-designer.desktop
install -m 0644 %SOURCE23 %buildroot/%_datadir/applications/%name-linguist.desktop
install -m 0644 %SOURCE24 %buildroot/%_datadir/applications/%name-qtconfig.desktop
# Icons
mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %SOURCE101 %buildroot/%_iconsdir/hicolor/16x16/apps/%rname.png
install -m 644 %SOURCE102 %buildroot/%_iconsdir/hicolor/32x32/apps/%rname.png
install -m 644 %SOURCE103 %buildroot/%_iconsdir/hicolor/48x48/apps/%rname.png
# Menus
install -d -m 0755 %buildroot/%_menudir/
%Md2m \
    %name-assistant \
    Documentation \
    %buildroot/%_datadir/applications/%name-assistant.desktop \
    %buildroot/%_menudir/%name-assistant
%Md2m \
    %name-designer \
    "Applications/Development/Development environments" \
    %buildroot/%_datadir/applications/%name-designer.desktop \
    %buildroot/%_menudir/%name-designer
%Md2m \
    %name-designer \
    Applications/Development/Tools \
    %buildroot/%_datadir/applications/%name-linguist.desktop \
    %buildroot/%_menudir/%name-linguist
%Md2m \
    lib%name-gui \
    Configuration/Other \
    %buildroot/%_datadir/applications/%name-qtconfig.desktop \
    %buildroot/%_menudir/%name-qtconfig


%post -n lib%name-qt3support
%post_ldconfig
%postun -n lib%name-qt3support
%postun_ldconfig
%post -n lib%name-core
%post_ldconfig
%postun -n lib%name-core
%postun_ldconfig
%post -n lib%name-gui
%post_ldconfig
%postun -n lib%name-gui
%postun_ldconfig
%post -n lib%name-network
%post_ldconfig
%postun -n lib%name-network
%postun_ldconfig
%post -n lib%name-opengl
%post_ldconfig
%postun -n lib%name-opengl
%postun_ldconfig
%post -n lib%name-sql
%post_ldconfig
%postun -n lib%name-sql
%postun_ldconfig
%post -n lib%name-xml
%post_ldconfig
%postun -n lib%name-xml
%postun_ldconfig

%post -n lib%name-devel
%update_menus
%postun -n lib%name-devel
%clean_menus

%post assistant
%update_menus
%postun assistant
%clean_menus

%post designer
%update_menus
%postun designer
%clean_menus


%files
%files -n lib%name
%files -n %name-sql
%files -n %name-devel

%files -n %name-common
%dir %qtdir/bin
%dir %qtdir/
%dir %qtdir/lib/
%dir %qtdir/phrasebooks/
%dir %_datadir/%name/phrasebooks/
%dir %qtdir/translations/
%_datadir/%name/translations
#%dir %%qtdir/translations/
#%dir %_datadir/%name/translations/
#%_datadir/%name/translations/qt_*.qm
#%_datadir/%name/translations/qtconfig_*.qm
%dir %qtdir/plugins/
%dir %qtdir/plugins/codecs
%dir %qtdir/plugins/sqldrivers/
%qtdir/plugins/imageformats
#%qtdir/plugins/styles
%qtdir/settings
%_libdir/%rname-%version
%_iconsdir/hicolor/*/apps/%rname.png
%dir %_docdir/qt-%version/
%qtdir/doc
#
%qtdir/mkspecs/
%dir %_datadir/%name/mkspecs/
#
%dir %qtdir/src/

%files -n lib%{name}-qt3support
%qtdir/lib/libQt3Support.so.*
%qtdir/bin/qtconfig
%_bindir/qtconfig-%name
%_datadir/applications/qt4-qtconfig.desktop

%files -n lib%{name}-core
%qtdir/lib/libQtCore.so.*
%_sysconfdir/ld.so.conf.d/%name.conf

%files -n lib%{name}-gui
%qtdir/lib/libQtGui.so.*
%qtdir/plugins/codecs/lib*.so
%_menudir/%name-qtconfig

%files -n lib%{name}-network
%qtdir/lib/libQtNetwork.so.*

%files -n lib%{name}-opengl
%qtdir/lib/libQtOpenGL.so.*

%files -n lib%{name}-sql
%qtdir/lib/libQtSql.so.*

%files -n lib%{name}-xml
%qtdir/lib/libQtXml.so.*

%files -n lib%name-devel
#%doc %_docdir/qt-%version/ANNOUNCE
#%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE
#%doc %_docdir/qt-%version/PLATFORMS
%doc %_docdir/qt-%version/README*
%doc %_docdir/qt-%version/wrap_kde_malloc.cpp
%if !%qt_copy
%doc %_docdir/qt-%version/changes*
%endif
#
%qtdir/bin/findtr
%qtdir/bin/moc
%qtdir/bin/rcc
%qtdir/bin/uic
%qtdir/bin/uic3
%qtdir/bin/lrelease
%qtdir/bin/lupdate
%qtdir/bin/qm2ts
%qtdir/bin/qt3to4
%qtdir/bin/qmake
#
%_includedir/%name
%qtdir/include
%qtdir/lib/*.so
%qtdir/lib/libQtAssistantClient.a
#
%_datadir/%name/mkspecs/features
%_datadir/%name/mkspecs/default
%_datadir/%name/mkspecs/*linux*
#
%qtdir/src/*
%_datadir/%name/q3porting.xml
#
%_libdir/pkgconfig/*.pc
#
%_sysconfdir/rpm/macros.d/%name

%files designer
%_bindir/designer*
%_bindir/linguist*
%qtdir/lib/libQtDesigner.so.*
%qtdir/lib/libQtDesignerComponents.so.*
#
%_datadir/%name/phrasebooks/*.qph
#%_datadir/%name/translations/designer_*.qm
#%_datadir/%name/translations/linguist_*.qm
#
%dir %qtdir/plugins/designer
%qtdir/plugins/designer/*
%qtdir/bin/designer*
%qtdir/bin/linguist*
#
%_menudir/%name-designer
%_menudir/%name-linguist
%_datadir/applications/%name-linguist.desktop
%_datadir/applications/%name-designer.desktop

%if %build_odbc
%files -n lib%name-sql-odbc
%qtdir/plugins/sqldrivers/libqsqlodbc*
%endif

%files -n lib%name-sql-postgresql
%qtdir/plugins/sqldrivers/libqsqlpsql*

%files -n lib%name-sql-mysql
%qtdir/plugins/sqldrivers/libqsqlmysql*

%files -n lib%name-sql-sqlite
%qtdir/plugins/sqldrivers/libqsqlite*

%files assistant
%_bindir/assistant-%name
%qtdir/bin/assistant
#%_datadir/%name/translations/assistant_*.qm
%_menudir/%name-assistant
%_datadir/applications/%name-assistant.desktop

%files doc

%files doc-html
%dir %_docdir/%rname-%version/html/
%doc %_docdir/%rname-%version/html/*

%files doc-examples
%doc %_docdir/%rname-%version/*.bz2

#%files doc-man
#%doc %_mandir/man1/*
#%doc %_mandir/man3/*

%files -n lib%name-devel-static
%qtdir/lib/lib*.a
%qtdir/lib/lib*.la
%exclude %qtdir/lib/libQtAssistantClient.a

%changelog
* Mon Nov 07 2005 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt2
- enable -fvisibility for gcc-3.4
- add rpm macros %%_qt4dir for devel
- add patch from Sergey A. Sukiyazov for activating first menu in menubar
  (if present) by pressing F10 or Super_L/R (Win_L/R)
- fix owner-package of /usr/lib/qt4/doc; move some dirs to %name-common

* Tue Oct 25 2005 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- new Qt4

* Thu Jun 02 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt6
- merge patches from SuSE (patch for fast malloc)

* Tue May 31 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt5
- rebuild with new postgress

* Mon Apr 18 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt4
- add patches from Sergey A. Sukiyazov
- build static library
- x86_64 fixes, thanks mouse@altlinux

* Mon Mar 14 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt3
- qsa-1.1.2
- don't package designer translation

* Wed Feb 16 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt2
- restore original manpages
- restore designer translations

* Tue Feb 01 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.4-alt1
- new version

* Mon Jan 17 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt9
- rebuild with gcc3.4

* Wed Dec 15 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt8
- fix requires for libqt3-devel

* Fri Dec 10 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt7
- build imageformats and styles into plugins
- remove libjpeg,libmng,libpng,libGLU devels requires from libqt3-devel
- new qsa version
- remove 0054-qaccel_repeat_60625.patch
- split doc package
- build light version for installer stage2

* Thu Nov 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt6
- remove -fno-exceptions from QMAKE_CFLAGS_RELEASE
- move settings to separate package

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt5
- export QTINC and QTLIB environment variables in %_sysconfdir/profile.d

* Wed Oct 06 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt4
- sync patches with qt-copy
- build with system libmng

* Mon Aug 23 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt3
- fix provides from %name-qsa-devel
- add link to %_libdir/qt-%version
- add patch to fix xpm handling

* Wed Aug 18 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt2
- fix manpages
- add patch to fix gif handling

* Thu Aug 12 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.3-alt1
- new version
- sync patches with qt-copy

* Fri Aug 06 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt5
- don't package Designer translation files because overtranslation
  reserved words.

* Thu Jun 10 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt4
- update russian translations
- fix QMAKE_LFLAGS_SONAME in $QTDIR/mkspecs/*/qmake.conf (#4326)

* Tue May 25 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt3
- add patch to fix qfontdatabase caching

* Mon May 24 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt2
- add patch from qt-copy against kde menu width

* Wed May 19 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- new version
- remove provides libqt3-gcc_compiled

* Thu Apr 29 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt6
- rebuild with new glibc-2.3.3
- add patches from qt-copy for QImage->QPixmap conversions
- make buildable without unixODBC

* Mon Apr 26 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt5
- add patch form FC for Sans font name
- fix default qtrc

* Wed Apr 07 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt4
- update Russian translations
- add designer translation by Valia V. Vaneeva <fattie@altlinux>
- add *.desktop for menus
- fix crash KDevelop when click .ui in file tree view
- fix compile programs with -pedantic

* Tue Mar 16 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt3
- temporary provide libqt3-gcc_compiled

* Thu Mar 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt2
- rebuild with internal libmng

* Tue Mar 02 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.1-alt1
- new version
- build with: shared sqlite, dlopen OpenGL

* Wed Feb 04 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Tue Feb 03 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt4
- add provides versioning lib%name(CXX%%__gcc_version_major)
- add Russian translations

* Tue Jan 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt3
- rebuild with gcc3.3

* Thu Dec 25 2003 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt2
- removed fast-mallock.patch
- add versioning
- add translation support for qtconfig and designer

* Tue Nov 25 2003 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- new version

* Mon Oct 27 2003 Sergey V Turchin <zerg at altlinux dot org> 3.2.2-alt1
- new version
- build with new qsa-1.0.1

* Mon Jul 07 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt10
- build without -fno-use-cxa-atexit

* Tue Jun 24 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt9
- add localization patch by  raorn at altlinux.ru

* Mon Jun 16 2003 Sergey V Turchin <zerg at altlinux dot org> 3.1.2-alt8
- add patch from qt-copy
- build with nas
- remove unusable sources and patches

* Tue May 20 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt7
- remove requires libXft
- build with Xft from XFree86
- add RH patches

* Mon Apr 28 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt6
- add xrandr patches

* Thu Apr 17 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt5
- fix typing in xx_XX.CP1251 locale

* Tue Apr 15 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt4
- fix missing file qsa.prf in lib%name-qsa-devel
- fix placement of qsa plugins
- fix build examples and tutorial

* Wed Apr 09 2003 Sergey V Turchin <zerg at altlinux dot ru> 3.1.2-alt3
- build with QT_USE_APPROXIMATE_CURSORS (XFree-4.3 have nice cursors)

* Wed Mar 19 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.2-alt2
- don't apply Patch14 (aa by default)

* Thu Mar 13 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.2-alt1
- new version
- build new QSA beta3

* Thu Feb 06 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt3
- build new QSA beta2
- add RH && MDK patches

* Wed Jan 08 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt2
- disable objprelink
- build QSA (Qt Stript for Applications) 1.0-beta2pre1

* Tue Dec 17 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.1-alt1
- new version

* Mon Nov 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt3
- add patches from RH
- build libraries libeditor libdesigner libqassistantclient

* Mon Nov 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt2
- add patches from MDK
- add patch1000 from ASP
- use tarball from Trolltech
- disable old patches

* Mon Nov 11 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt1
- release
- update from cvs of qt-copy

* Wed Nov 06 2002 Stanislav Ievlev <inger@altlinux.ru> 3.1.0-alt0.6.kde3rc2
- changelog fix

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.6.kde31rc2
- qt-copy for KDE-3.1.rc2 (20021104)

* Tue Oct 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.5.beta2qtcopy
- qt-copy for KDE-3.1.rc1

* Mon Oct 21 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.4.beta2
- update from cvs of qt-copy
- add RH patches for Xft2 ported
  by Albert R. Valiev <darkstar@altlinux.ru>

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.3.beta2
- qt-copy of 3.1beta2 from kde.org

* Wed Oct 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1.0-alt0.2.beta2
- 3.1beta2
- incrase %%release to upgrade Qt from Daedalus
- compile with xft2 (without patches)

* Mon Oct 07 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt14
- compile with xft2 (add RH patches)

* Thu Oct 03 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt12
- fix requires && provides

* Wed Oct 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt11
- fix conflicts

* Wed Oct 02 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.4-alt10
- fix provides && conflicts
- rebuild with new libGLU
- build designer without KDE

* Thu Sep 26 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt9
- add default config
- build designer with KDE
- fix provides

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt8
- rebuild with new XFree86

* Wed Sep 11 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.4-alt3.junuior
- build for Junior

* Mon Sep 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt7
- build with objprelink

* Wed Sep 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt6
- build with gcc 3.2

* Fri Aug 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt5
- fix %%build to
  don't search libs in
  %buildroot
  when start qt only based application.
  This fix launching apps  like licq psi,
  change styles in kcontrol
  and more bugs

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt4
- disable patches 600-700
- Conflicts: kdelibs < 3.0.2-alt4
- remove fixes qconfig.h for pyqt (styles compiled in)

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt3
- rebuild with motif style
- fix qconfig.h for pyqt

* Wed Jul 31 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt2
- fix symlinks in %_libdir

* Mon Jul 29 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.5-alt1
- new version
- build without kde because not need
- some patches from cooker and rawhide
- add patches from Sergey A. Sukiyazov <corwin@micom.net.ru>
  and kde.ru

* Fri May 24 2002 ZerG <zerg@altlinux.ru> 3.0.4-alt2
- qt-copy for KDE 3.0.1
- fix homedir to ~/.qt3
- build designer with kde

* Mon May 06 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.4-alt1
- new version

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt3
- split

* Thu Apr 04 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt2
- snapshot for KDE3

* Wed Mar 27 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt1
- new version

* Fri Mar 22 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.3-alt0.1.rc5
- snapshot for KDE3 rc3

* Tue Mar 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.2-alt1
- new version

* Fri Feb 08 2002 Sergey V Turchin <zerg@altlinux.ru> 3.0.1-alt1
- new version

* Thu Oct 11 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt7
- build with new libpng
- add %%_libdir/libqt.so to lib%%name-devel

* Sat Sep 15 2001 Sergey Vlasov <vsu@altlinux.ru> 2.3.1-alt6
- don't compile designer with the static library
- don't compile examples and tutorial - it just wastes time
- run "make clean" after static libraries to get rid of non-PIC objects
- build libqxt with RPM_OPT_FLAGS
- do not install designer/pics - they are not needed at runtime
- install designer templates, examples and tools

* Tue Aug 21 2001 AEN <aen@logic.ru> 2.3.1-alt5
- ttf2ps fixed

* Thu Aug 16 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt4
- move all libqxt to lib%name-Xt package
- move documentation to %name-doc package
- add %name-xim-20010617.diff %name-qclipboard-20010617.diff
  and %name-qstring-toDouble-i18n-20010617.diff patches

* Wed Aug 15 2001 Sergey V Turchin <zerg@altlinux.ru> 2.3.1-alt3
- clean spec & disable enc.patch
- build packages with static libs

* Wed Jul 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-8mdk
- Re-upload with non broken BuildRequires

* Wed Jul 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2.3.1-7mdk
- BuildRequires:      kdelibs-devel
- Removed BuildRequires:      Mesa-common XFree86-devel XFree86-libs
  db1 db3 gawk glibc-devel libstdc++-devel zlib-devel zlib1

* Tue Jul 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-6mdk
- Fix a typo when we create /usr/lib/qt2/lib/libqt-mt.so.%%version link

* Fri Jul 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-5mdk
- Fix build on alpha (Jeff Garzik)

* Thu Jul 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-4mdk
- Fix name for static libraries
- Add few BuildRequires and Obsoletes
- Add support for ia64

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-3mdk
- Rebuild with KDE (2.2.beta1) support
- Fix few Provides: and PreReq:
- Complete BuildRequires: for Linux-Mandrake 7.2

* Sat Jun 23 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-2mdk
- Rewrite %%build section (so, fix designer and some problems with rpath)
- Rewrite few sections of %%install (i.e. don't build in %%install)
- Complete %%install section according to %%build section
- Disable thread support for Linux-Mandrake 7.2
- Use system zlib and libpng instead sources provided in Qt package (8.0 and 8.1)
- Allow documentation to be used in designer (you need to
  "export QTDIR=/usr/lib/qt2/" if it's not already done)
- Add some missing BuildRequires
- Fix Makefiles in examples and tutorials

* Sun Jun 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.1-1mdk
- 2.3.1
- Add tests to automatically build right packages for right distribution
- Add %%files sections for all supported LMDK distributions
- Rewrite some sections of this spec to allow clean updates
- Remove qt-2.3.0-printing.patch.bz2
- Don't apply qt-2.3.0-qpsprinter-gbkprint.patch.bz2 at present time
- Disable kde support at present time
- Clean spec: bzip2 and rename qpsprinter-gbkprint.patch according to LMDK
  policy and add missing comments to make spec understandable by everybody
  (pacakgers, please to don't be lazzy and think you are not the only one who
  modify spec files)
- Fix few incorrect symlinks
- Rename static-libraries package to libqt2-static-devel (8.1)

* Thu May 31 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.3.0-6mdk
- Add a patch for simplified chinese printing.

* Fri Apr 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-5mdk
- Rebuild against latest GCC

* Wed Apr 18 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-4mdk
- Rebuild with kde support

* Sun Apr 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-3mdk
- Rebuild with latest GCC

* Sun Mar 18 2001  Daouda Lo <daouda@mandrakesoft.com> 2.3.0-2mdk
- patched to handle X fonts well

* Thu Mar 08 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3.0-1mdk
- 2.3.0

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-3mdk
- Rebuild to try to remove dependancies on libmng0 (thanks to Guillaume)

* Tue Feb 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-2mdk
- Rebuild with libmng-1.0.0

* Thu Feb 06 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.4-1mdk
- 2.2.4

* Sat Jan 27 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-9mdk
- Use sources from TrollTech
- Remove patch #1
- Add two patches from David FAURE

* Wed Jan 17 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-8mdk
- Enable KDE support
- Use optimizations

* Tue Dec 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.2.3-7mdk
- AA support (build with -xft) -> with freetype2 + XFree-4.0.2 (see cooker)
- cleanups

* Fri Dec 22 2000 Daouda Lo <daouda@ke.mandrakesoft.com> 2.2.3-6mdk
- fix symlinks
- cleanups

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.2.3-5mdk
- add a libqt.so as quick hack for myself to build Licq.
- need fix: fix bad symlinks in /usr/lib.

* Tue Dec 19 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-4mdk
- links to include files in /usr/lib/qt2/include

* Mon Dec 18 2000  Daouda <daouda@mandrakesoft.com> 2.2.3-2mdk
- provides libs in %_libdir , some packages need this to build

* Mon Dec 18 2000  Daouda Lo <daouda@mandrakesoft.com> 2.2.3-2mdk
- big changes : package splitted in 4 entities
- fix gcc internal error (drawback-> -O2 opt :(
- merge with big dadou cleanups
- lib policy

* Tue Dec 11 2000 David BAUDENS <baudens@mandrakesoft.com> 2.2.3-1mdk
- Enable libmng support
- Enable threads
- Rewrite spec to make it LMDK compliant
- Remove doc packages (most of doc is in devel package now)
- Remove rpath
- Libdification
- Add longtitle to Qt Designer menu entry
- Fix groups
- Make rpmlint happy (at least, nearly)

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-2mdk
- Update to 2.2.2 package on cooker.

* Tue Nov 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.2-1mdk
- Update to 2.2.2 package

* Wed Nov  8 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.1-5mdk
- Add gcc2.96 patches from redhat.

* Thu Nov 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-4mdk
- Added msg2qm utility back per request from Cookers
- Recompile for gcc 2.96

* Tue Oct 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-3mdk
- Attempting to fix patch so that it builds on it's own (I can not use RCS
  patches that are sent to me).
- Rebuild with no exceptions

* Mon Oct 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-2mdk
- Added patch 0 from David Faure

* Fri Oct 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2.1-1mdk
- Update to 2.2.1 package

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-4mdk
- Some KDE related patches

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-3mdk
- Some KDE related patches

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-2mdk
- Changed liscense from QPL to GPL

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-1mdk
- Upgraded to final realease version

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.7mdk
- Some KDE related patches

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.6mdk
- Some KDE related patches

* Sat Aug 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.5mdk
- Some KDE related patches

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.4mdk
- Some KDE related patches

* Fri Aug 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.3mdk
- Fixed designer templates and support files in devel package.
- Added menu for designer

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.2mdk
- Fixed location of docs
- Fixed designer location and location of libs required by designer.

* Tue Aug 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.2-0.1mdk
- Updated to qt2 2.2 beta 1 as required by KDE
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-10mdk
- Some KDE related patches

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-9mdk
- Some KDE related patches

* Wed Jul 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-8mdk
- This is 2.2beta0
- Updated code patches
- BM

* Tue Jul 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-7mdk
- Updated code patches

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-6mdk
- Updated again some more patches by the kde2 team

* Sun Jul 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-5mdk
- Updated again some patches for kde2

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-4mdk
- Updated some patches for KDE

* Tue Jun 21 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 2.1.1-3mdk
- be pedantic and add some symlinks to /usr/bin
- fixed long standing unfixed typo
- package is not relocatable (???)
- NOTE: package maintainer remains: molnarc@mandrakesoft.com

* Mon Jun 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-2mdk
- Updated spec file to save room. New spec file sent by cooker user
- taki@cloud.matav.sulinet.hu

* Fri Jun 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.1-1mdk
- updated to qt2.1.1

* Mon May 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-6mdk
- recompiled with jpeg support needed by kde2

* Sat May  6 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1.0-5mdk
- fixed conflicting files in qt2 and qt2-devel

* Mon Apr 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-4mdk
- changed back to QTDIR being /usr/lib/qt2

* Sun Apr 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-3mdk
- bowed to a bunch of email complaints and moved the development dir
  from /usr/lib/qt2/... to /usr/include/qt2/.... QTDIR=/usr/include/qt2

* Sat Apr 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-2mdk
- Fixed a missing libqt2.so link.

* Fri Apr 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1.0-1mdk
- Update to release version 2.1.0

* Fri Mar 24 2000 David Faure <david@mandrakesoft.com> 2.1.0-0.3.1mdk
- Upgraded to 2.1 beta 3
- Removed libqimgio2, now part of qt
- Changed installation directories to respect a QTDIR (/usr/lib/qt-2.1.0)
- Allows to keep Qt 2.0 and Qt 1.x around.
- Removed BuildArchitectures hack.

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.1-10mdk
- BuildArchitectures only on non-x86.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.1-9mdk
- removed BuildArchitecture

* Sat Oct 23 1999 Stefan van der Eijk <s.vandereijk@chello.nl>
- Add "alpha" as build architecture (pixel's rebuild)

* Mon Sep 20 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Add libqgl2.a and libqimgio2.a to make KDE 2.0 happy

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- replace qstrlist.h with a version that works

* Sat Aug  8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- rename /usr/lib/libqt.a to /usr/lib/libqt2.a to avoid conflict with
  qt 1.44
- Add libqt2.so link to libqt.so.2 so we can do -lqt2

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
